// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nertc;

mixin _EventHandler {
  bool handler(String method, Map<dynamic, dynamic> arguments);
}

class _Events {
  static const onLocalAudioVolumeIndication = 'onLocalAudioVolumeIndication';
  static const onRemoteAudioVolumeIndication = 'onRemoteAudioVolumeIndication';
  static const onRtcStats = 'onRtcStats';
  static const onLocalAudioStats = 'onLocalAudioStats';
  static const onRemoteAudioStats = 'onRemoteAudioStats';
  static const onLocalVideoStats = 'onLocalVideoStats';
  static const onRemoteVideoStats = 'onRemoteVideoStats';
  static const onNetworkQuality = 'onNetworkQuality';

  static const logBlacklist = <String>{
    onLocalAudioVolumeIndication,
    onRemoteAudioVolumeIndication,
    onRtcStats,
    onLocalAudioStats,
    onRemoteAudioStats,
    onLocalVideoStats,
    onRemoteVideoStats,
    onNetworkQuality,
  };

  static bool shouldOutputLogForEvent(String event) =>
      !logBlacklist.contains(event);
}
